define({"528":{i:0.00481070077811764,u:"../Content/Lua/LuaJsonArray/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original array. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"529":{i:0.000721626466871421,u:"../Content/Lua/LuaJsonArray/_LUA_size.htm",a:"size The size method returns the size of the JSON array. Syntax size() Returns (integer). The number of values in the array. Example local myJsonArray = LuaJsonArray:new(4,\"a string\",true)\nprint (\"Array size is \" , myJsonArray:size() )\n-- Array size is 3",t:"size"},"530":{i:0.000721626466871421,u:"../Content/Lua/LuaJsonArray/_LUA_string.htm",a:"The string method returns the JSON array as a string. Syntax string() Returns (String). The array as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal myJsonArray = LuaJsonArray:new(\"zero\",1,2,myJsonObject)\n\nprint (myJsonArray:string())\n-- ...",t:"string"},"531":{i:0.00289451698544348,u:"../Content/Lua/LuaJsonObject/_LUA__LuaJsonObject.htm",a:"A LuaJsonObject object represents a JSON object. If you have a LuaJsonObject object called object you can call its methods using the \u0027:\u0027 operator. For example: object:size() Constructor Description LuaJsonObject:new The constructor for a LuaJsonObject object (creates a new LuaJsonObject). Method ...",t:"LuaJsonObject Methods"},"532":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_LuaJsonObject_new.htm",a:"The constructor for a LuaJsonObject object (creates a new LuaJsonObject). If you do not specify any attributes to assign to the object (by omitting the attributes argument), an empty object is created. Syntax LuaJsonObject:new( [attributes] ) Arguments Argument Description attributes ...",t:"LuaJsonObject:new"},"533":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_assign.htm",a:"The assign method adds an attribute (a name/value pair) to the object. Syntax assign (name, value) Arguments Argument Description name (string) The name of the attribute to add. value (lua_json_type) The value of the attribute to add. This can be a Boolean, float, integer, string,  LuaJsonArray ,  ...",t:"assign"},"534":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_assign2.htm",a:"The assign method adds a table of attributes (name/value pairs) to the object. Syntax assign (attributes) Arguments Argument Description attributes (lua_json_object_type) The table of attributes to add. The keys in the table must be strings which specify the names of the attributes to add. Each ...",t:"assign"},"535":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_clear.htm",a:"clear The clear method clears the object, so that it contains no attributes (name/value pairs). Syntax clear() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:clear()\nprint (myJsonObject:string())\n-- {}",t:"clear"},"536":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_copy.htm",a:"The copy method returns a copy of the JSON object. Modifying the copy does not modify the original object. Syntax copy() Returns (LuaJsonObject). A copy of the object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal anotherJsonObject = ...",t:"copy"},"537":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_empty.htm",a:"empty The empty method determines whether the JSON object is empty. Syntax empty() Returns (Boolean). Returns true if the object has no attributes (name/value pairs). Example local myJsonObject = LuaJsonObject:new()\nprint(myJsonObject:empty())\n-- true\n",t:"empty"},"538":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_erase.htm",a:"The erase method removes a specified attribute (name/value pair) from the JSON object. Syntax erase( name ) Arguments Argument Description name (string) The name of the attribute to erase. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } ...",t:"erase"},"539":{i:0.00461544336648616,u:"../Content/Lua/LuaJsonObject/_LUA_exists.htm",a:"The exists method checks whether a specified path exists in the JSON object. Syntax exists( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path to check. Specify one or more path elements, which might be object attribute names (strings) or array indexes ...",t:"exists"},"540":{i:0.00461544336648616,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Argument Description path (string) The path to check. Construct the path from array indexes and object attribute names, and use a slash (/) as the separator. If an object ...",t:"existsByPath"},"541":{i:0.00461544336648616,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path ...",t:"lookup"},"542":{i:0.00461544336648616,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"543":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ...",t:"pairs"},"544":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2",t:"size"},"545":{i:0.000692336654832196,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}",t:"string"},"546":{i:0.00242314487344608,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Constructor Description LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). ...",t:"LuaJsonValue Methods"},"547":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",a:"The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Argument Description value (lua_json_type) The initial value. This can be a  Boolean, float, integer, string,  LuaJsonArray ,  LuaJsonObject ,  LuaJsonValue , or nil. Returns ...",t:"LuaJsonValue:new"},"548":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ...",t:"array"},"549":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value.",t:"copy"},"550":{i:0.00416656246130141,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path to check. Specify one or more path elements, which might be object attribute names (strings) or array indexes ...",t:"exists"},"551":{i:0.00416656246130141,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Argument Description path (string) The path to check. Construct the path from array indexes and object attribute names, and use a slash (/) as the separator. If an object ...",t:"existsByPath"},"552":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise.",t:"is_array"},"553":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise.",t:"is_boolean"},"554":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise.",t:"is_float"},"555":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise.",t:"is_integer"},"556":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise.",t:"is_null"},"557":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise.",t:"is_number"},"558":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise.",t:"is_object"},"559":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise.",t:"is_simple_value"},"560":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise.",t:"is_string"},"561":{i:0.00416656246130141,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Argument Description pathElements (json_path_string_or_integer) The path of ...",t:"lookup"},"562":{i:0.00416656246130141,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Argument Description path (string) The path of the value to return. ...",t:"lookupByPath"},"563":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ...",t:"object"},"564":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n",t:"string"},"565":{i:0.000625001847691906,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Argument Description default ...",t:"value"},"566":{i:0.00379347623568493,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",a:"A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message) Method Description ...",t:"LuaLog Methods"},"567":{i:0.00212883015496483,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Argument Description level The log level for the message. The message only appears in the log if the log level specified here is the same as, or higher than, the log level set for the log stream. ...",t:"write_line"},"568":{i:0.000684862923394961,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Constructor Description LuaLogService:new The ...",t:"LuaLogService Methods"},"569":{i:0.000807664974684114,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the Gnip Connector configuration file. Instead use the same log service as Gnip Connector, by calling  get_log_service , or obtain a LuaLog ...",t:"LuaLogService:new"},"570":{i:0.000807664974684114,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",a:"The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Argument Description type (string) The log type. Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a ...",t:"get_log"},"571":{i:0.000516597782596848,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ...",t:"LuaRegexMatch Methods"},"572":{i:0.000604419527725733,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",a:"The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the length of, starting at 1 for the first sub match. With ...",t:"length"},"573":{i:0.000604419527725733,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one.",t:"next"},"574":{i:0.000604419527725733,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Argument Description submatch (number) ...",t:"position"},"575":{i:0.000604419527725733,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match.",t:"size"},"576":{i:0.000604419527725733,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",a:"The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the value of, starting at 1 ...",t:"str"},"577":{i:0.000516597782596848,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ...",t:"LuaXmlDocument Methods"},"578":{i:0.000604419527725733,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object.",t:"root"},"579":{i:0.000604419527725733,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Argument Description xpathQuery (string) The xpath query to run. Returns (LuaXmlNodeSet). A LuaXmlNodeSet object.",t:"XPathExecute"},"580":{i:0.000604419527725733,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",a:"The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Argument Description prefix (string) The namespace prefix. location (string) The namespace location. Returns (Boolean). True if successful, False in case of error.",t:"XPathRegisterNs"},"581":{i:0.000604419527725733,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Argument Description query (string) The XPath query to use. Returns (String). A string of the value.",t:"XPathValue"},"582":{i:0.000604419527725733,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Argument Description query (string) The XPath query to use. Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with ...",t:"XPathValues"},"583":{i:0.000516597782596848,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",a:"A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size() Method Description at Returns the LuaXmlNode at position pos in the set. size Returns size of node set.",t:"LuaXmlNodeSet Methods"},"584":{i:0.000736152145419061,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Argument Description position (number) The index of the item in the array to get.\n                     Returns (LuaXmlNode).",t:"at"},"585":{i:0.000736152145419061,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set.",t:"size"},"586":{i:0.000516597782596848,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",a:"A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name() Method Description attr Returns the first LuaXmlAttribute attribute object for this element. content Returns the ...",t:"LuaXmlNode Methods"},"587":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",a:"The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Argument Description name (string) The name of the LuaXmlAttribute ...",t:"attr"},"588":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content.",t:"content"},"589":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode).",t:"firstChild"},"590":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode).",t:"lastChild"},"591":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name.",t:"name"},"592":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode).",t:"next"},"593":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path.",t:"nodePath"},"594":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode).",t:"parent"},"595":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode).",t:"prev"},"596":{i:0.00056050865516129,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ...",t:"type"},"597":{i:0.000516597782596848,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",a:"A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name() Method Description name Returns the name of this attribute. next Returns a LuaXmlAttribute object ...",t:"LuaXmlAttribute Methods"},"598":{i:0.000626374964007954,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute.",t:"name"},"599":{i:0.000626374964007954,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute).",t:"next"},"600":{i:0.000626374964007954,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute).",t:"prev"},"601":{i:0.000626374964007954,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute.",t:"value"},"602":{i:0.000516597782596848,u:"../Content/_CN_Appendixes.htm",a:"Appendixes This section contains the following appendixes: Open Source and Third-Party Software License Agreements Open Source and Third-Party Software License Agreements (Online Help)",t:"Appendixes"},"603":{i:0.000736152145419061,u:"../Content/ThirdPartyLicenses/_LIC_App_OpenSource.htm",a:"Open Source and Third-Party Software License Agreements Micro Focus acknowledges the redistribution of the following open source and third-party components under the licenses shown below.",t:"Open Source and Third-Party Software License Agreements"},"604":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/_LIC_Lua.htm",a:"Copyright © 1994–2017 Lua.org, PUC-Rio. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, ...",t:"Lua"},"605":{i:0.000736152145419061,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",a:"Open Source and Third-Party Software License Agreements (Online Help) Micro Focus acknowledges the redistribution of open source and third-party components that use the following licenses.",t:"Open Source and Third-Party Software License Agreements (Online Help)"},"606":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OSLicenses.htm",a:"Open Source Licenses Micro Focus acknowledges the redistribution of open source components that use the following licenses.",t:"Open Source Licenses"},"607":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_Apache_v2.0.htm",a:"Apache License 2.0 Micro Focus acknowledges the redistribution of the following open source components that are provided under this license: PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc License  For the text of Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) .",t:"Apache License 2.0"},"608":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_BSD_3-Clause.htm",a:"BSD 3-Clause License Micro Focus acknowledges the redistribution of the following open source component that is provided under this license: Porter-Stemmer For the text of the BSD 3-Clause License, see  Appendix: BSD 3-Clause License (Full Text) .",t:"BSD 3-Clause License"},"609":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_MIT.htm",a:"Micro Focus acknowledges the redistribution of the following open source components that are provided under this license: BxSlider 4.1.1 Copyright 2014, Steven Wanderski -  http://stevenwanderski.com  -  http://bxcreative.com Foundation Responsive Library (used by: foundation.offcanvas.js, ...",t:"The MIT License (MIT)"},"610":{i:0.000516597782596848,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_com_publicDomain.htm",a:"Public Domain Micro Focus acknowledges the redistribution of the following open source components that are in the public domain: Array.indexOf polyfill Detect Mobile Browser (jQuery.browser.mobile) FitVids v1.0",t:"Public Domain"},"611":{i:0.000955706508241276,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ...",t:"Appendix: Apache License 2.0 (Full Text)"},"612":{i:0.000955706508241276,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ...",t:"Appendix: BSD 3-Clause License (Full Text)"},});